Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 42414 - Patch/Enhancement for media-video/mjpegtools-1.6.2.ebuild
Summary: Patch/Enhancement for media-video/mjpegtools-1.6.2.ebuild
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: High enhancement (vote)
Assignee: Gentoo Media-video project
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-02-21 13:38 UTC by Stefan Briesenick (RETIRED)
Modified: 2004-05-17 02:28 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
mjpegtools-1.6.2.ebuild.patch (mjpegtools-1.6.2.ebuild.patch,763 bytes, patch)
2004-02-21 13:40 UTC, Stefan Briesenick (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Briesenick (RETIRED) gentoo-dev 2004-02-21 13:38:56 UTC
Hi!

I patched media-video/mjpegtools-1.6.2.ebuild to do the following:

1. new USE flag 'yv12' to enable DV PAL YV12 read support
2. better CFLAGS/CXXFLAGS handling (-march=i686 problem)
   now compiles only with specified -mcpu and -march flags!

take my included patch and incorporate it into official portage. It compiles and works great!

thanks in advance.

Reproducible: Always
Steps to Reproduce:




--- /usr/portage/media-video/mjpegtools/mjpegtools-1.6.2.ebuild 2004-02-07 
21:09:41.000000000 +0100 
+++ mjpegtools-1.6.2.ebuild     2004-02-21 22:25:15.251619448 +0100 
@@ -11,7 +11,7 @@ 
 LICENSE="as-is" 
 SLOT="1" 
 KEYWORDS="~x86 ~ppc ~amd64" 
-IUSE="gtk avi dv quicktime sdl X 3dnow mmx sse" 
+IUSE="gtk avi dv yv12 quicktime sdl X 3dnow mmx sse" 
 
 DEPEND="media-libs/jpeg 
        >=sys-apps/sed-4 
@@ -52,6 +52,9 @@ 
 
        if [ "`use dv`" ] ; then 
                myconf="${myconf} --with-dv=/usr" 
+        if [ "`use yv12`" ] ; then 
+               myconf="${myconf} --with-dv-yv12" 
+           fi 
        fi 
 
        if [ "`use x86`" ]; then 
@@ -74,7 +77,7 @@ 
                done 
        fi 
 
-       emake -j1 || die "compile problem" 
+       emake -j1 CFLAGS="$CFLAGS" CXXFLAGS="$CXXFLAGS" || die "compile 
problem" 
 } 
 
 src_install() {
Comment 1 Stefan Briesenick (RETIRED) gentoo-dev 2004-02-21 13:40:27 UTC
Created attachment 26064 [details, diff]
mjpegtools-1.6.2.ebuild.patch
Comment 2 Stefan Briesenick (RETIRED) gentoo-dev 2004-03-12 06:21:24 UTC
any chance to get this into portage?

thanks!
Comment 3 Patrick Kursawe (RETIRED) gentoo-dev 2004-03-12 06:42:51 UTC
Quite good chance, I'd say. Have a look at the buglist assigned to media-video... please be patient.
Comment 4 Stefan Briesenick (RETIRED) gentoo-dev 2004-04-11 16:22:11 UTC
please don't forget this "bug". ;-)

remind, remind, remind...
Comment 5 Heinrich Wendel (RETIRED) gentoo-dev 2004-04-17 04:36:19 UTC
+       emake -j1 CFLAGS="$CFLAGS" CXXFLAGS="$CXXFLAGS" || die "compile 
problem" 

why do we need that?
Comment 6 Stefan Briesenick (RETIRED) gentoo-dev 2004-04-17 12:58:26 UTC
> emake -j1 CFLAGS="$CFLAGS" CXXFLAGS="$CXXFLAGS" || die "compile problem" 

this is needed to "fix" the CFLAGS. The Configure/Makefile makes some stupid additions (ie -march) to your supplied CFLAGS. This way I enforce *MY* CFLAGS (from /etc/make.conf).

believe me, it works! ;-)
Comment 7 Stefan Briesenick (RETIRED) gentoo-dev 2004-04-17 13:13:35 UTC
ok, I try to explain the "emake hack".

there're some stupid less intelligent configure-scripts out there. Not only the one of mjpegtools. You say CFLAGS="-march=athlon ..." and the configure makes: CFLAGS="-march=pentium -O3 ... -march=athlon ..." bla blub. ;-)

If I see such stupid habbit, I check the created Makefile. Very often, you can just overwrite it, sometimes you have to add some other stuff. But you can always overwrite the XYZ=ABC settings in the Makefile by simply provide them as options to 'make'. mjpegtools is easy, no futher options needed, you can really overwrite the CFLAGS/CXXFLAGS in the created Makefile with the flags YOU want (yours in /etc/make.conf).

so: make CFLAGS="$CFLAGS" enforces our CFLAGS.

just try it! try to emerge with and without this little trick and watch the compiler output. it really works like a charm!
Comment 8 Stefan Briesenick (RETIRED) gentoo-dev 2004-04-22 15:12:13 UTC
hmmm... no answer? what now?
Comment 9 Patrick Kursawe (RETIRED) gentoo-dev 2004-04-23 03:37:01 UTC
No time next week, sorry. Perhaps in May... I know this must be frustrating for you.
Comment 10 Stefan Briesenick (RETIRED) gentoo-dev 2004-05-13 09:49:55 UTC
remind again :-/
Comment 11 Patrick Kursawe (RETIRED) gentoo-dev 2004-05-13 22:40:11 UTC
*sigh* moved out of my focus again. Will check on monday.
Comment 12 Patrick Kursawe (RETIRED) gentoo-dev 2004-05-17 02:28:19 UTC
Finally. -r2 should be there soon. Thanks for input and patience :-)